Catmandu::Fix::Condition::any_match(3pm)

NAME
Catmandu::Fix::Condition::any_match - only execute fixes if any path value matches the given regex

SYNOPSIS
   # uppercase the value of field 'foo' if at least one member of 'oogly' has the value 'doogly'
   if any_match(oogly, "doogly")
     upcase(foo) # foo => 'BAR'
   end

   # case insensitive search for 'doogly' in 'oogly' fields
   if any_match(oogly.*, "(?i)doogly")
     ...
   end

SEE ALSO
Catmandu::Fix